=== debian/control ===
Source: maui-pix
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libexiv2-dev,
               libmauikitfilebrowsing-dev,
               libmauikitimagetools-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-positioning-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-pix
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-pix.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-pix
Maintainer: Neon CI <neon@kde.org>

Package: maui-pix
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-imagetools,
         qml6-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends}
Description: maui pix
 Image gallery manager for Nitrux

Package: pix
Depends: maui-pix, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
