## maui-pix 4.0.2+p24.04+vstable+git20250903.0131

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20250903.0131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:31:11 +0000
