## maui-pix 4.0.2+p24.04+vstable+git20251015.1910

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20251015.1910-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:10:36 +0000
