=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
                extra-cmake-modules,
                kf6-kcoreaddons-dev,
                kf6-ki18n-dev,
+               kf6-kio-dev,
                libexiv2-dev,
                libmauikitfilebrowsing-dev,
                libmauikitimagetools-dev,
                mauikit-dev,
                mauiman-dev,
+               qml6-module-org-mauikit-imagetools,
                qt6-base-dev,
                qt6-declarative-dev,
                qt6-positioning-dev,
