## maui-pix 4.0.2+p24.04+vstable+git20260205.0606

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vstable+git20260205.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:06:39 +0000
