## maui-pix 4.0.2+p24.04+vunstable+git20260205.0818

=== debian/changelog ===
maui-pix (4.0.2+p24.04+vunstable+git20260205.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:18:56 +0000
